<?php

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

class plgJoomfishResource extends JPlugin
{
	var $_dbvalid = 0;
	
	function __construct(& $subject, $config)
	{
		parent::__construct($subject, $config);
	}
	
	function onBeforeTranslation(&$rows, &$ids, $reference_table, $language, $refTablePrimaryKey, & $tableArray, $querySQL, $allowfallback){
		
		if((isset($rows[0]->category) || isset($rows->category) ) && $reference_table == 'js_res_category'){
			
			$temp_rows = array();
			foreach ($rows as $key => $row) {
				$r = &$rows[$key];
				if(strpos($r->category, ':#:')){
					$categories = explode(':#:', $r->category);
					$cat_ids = explode(',', $r->catid);
					$ids .= ','.implode(',', $cat_ids);
					$r->catid = $cat_ids[0];
					unset($categories[0]);
					unset($cat_ids[0]);
					
					foreach ($categories as $k => $cat) {
						$t = new stdClass();
						$t->id = $r->id;
						$t->rcid = $cat_ids[$k];
						$t->rcname = $cat;
						$t->category = $cat;
						
						$temp_rows[] = $t;
					}
				}else{
					$r->rcname = $r->category;
				}
			}
			$rows = array_merge($rows, $temp_rows);
			reset($rows);
		}
	}
	
	function onAfterTranslation(&$rows, $ids, $reference_table, $language, $refTablePrimaryKey, $tableArray, $querySQL, $allowfallback){
		if((isset($rows[0]->category) || isset($rows->category) ) && $reference_table == 'js_res_category'){
			$storage = array();
			
			foreach ($rows as $key => $r) {
				$row = &$rows[$key];
				if(!isset($storage[$row->id])){
					$row->category = $row->rcname;
					$storage[$row->id] = $key;
				}else{
					$rows[$storage[$row->id]]->catid .= ','.$row->rcid;
					$rows[$storage[$row->id]]->category .= ':#:'.$row->rcname;
					unset($rows[$key]);
				}
			}
			
//		echo '<pre>';
//		var_dump($rows, $ids, $reference_table, $language, $refTablePrimaryKey, $tableArray, $querySQL, $allowfallback);exit;
		}
	}
	
}

